<nz-radio-group
  [(ngModel)]="selectedItemId"
  (ngModelChange)="changeSelection()"
>
  @for (listItem of listItems; track listItem) {
    <div>
      <div>
        <label
          [attr.data-test-button-id]="'radio-button-' + listItem.id"
          nz-radio
          [nzValue]="listItem.id"
          class="height-fit-content"
        >
          {{ getItemValue(listItem) }}
        </label>
      </div>
      @if (listItem.displayInfoKey != null) {
        <div class="authentication-info" style="padding-left: 1.5rem">
          <label>
            {{ listItem.displayInfoKey | translate }}
          </label>
        </div>
      }
    </div>
  }
</nz-radio-group>
